commit:     4ef11d009cb731a7d6968ef41b3967418ce58087
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 01:17:46 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 16 01:20:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ef11d00

net-wireless/gnome-bluetooth: Version bump to 3.34.5

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-wireless/gnome-bluetooth/Manifest              |  1 +
 .../gnome-bluetooth/gnome-bluetooth-3.34.5.ebuild  | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/net-wireless/gnome-bluetooth/Manifest 
b/net-wireless/gnome-bluetooth/Manifest
index 3b89858d7a4..eb2dbec7d76 100644
--- a/net-wireless/gnome-bluetooth/Manifest
+++ b/net-wireless/gnome-bluetooth/Manifest
@@ -1 +1,2 @@
 DIST gnome-bluetooth-3.34.3.tar.xz 353032 BLAKE2B 
fbf75328780d54307ebf6f8d9d58080060d05b3d76665e3c09f3d2bbc033dbda87a7d4eb43d8fe751955f8240febc13d0446cab1bac085c4a73e9c4e9ff25033
 SHA512 
a20985576fbc0594a198c8f58e6098db24c73454a9dfc0f5f47581a1bfc0a72e3f0d2592f4a01593c5ed132e4924d934d4d65fd501d274f3b032e1e548794272
+DIST gnome-bluetooth-3.34.5.tar.xz 353936 BLAKE2B 
40300752830f71d436591e22a64a282745d8419ee46de534f76c4871a86a4c8f7b2203e3ddc4ca08d26348b97bf4a68315802ffa09c69265c55001e4806c7f1e
 SHA512 
48431b3d19083705a6623442c5cd2d6c14962cdf30fc599ba47dceb6612b80142af77e1b6df142b530cb1015638081a06de38a3034177e0d05a354c40f19d9e5

diff --git a/net-wireless/gnome-bluetooth/gnome-bluetooth-3.34.5.ebuild 
b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.34.5.ebuild
new file mode 100644
index 00000000000..04b83b0833a
--- /dev/null
+++ b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.34.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson udev xdg
+
+DESCRIPTION="Bluetooth graphical utilities integrated with GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeBluetooth";
+
+LICENSE="GPL-2+ LGPL-2.1+ FDL-1.1+"
+SLOT="2/13" # subslot = libgnome-bluetooth soname version
+IUSE="gtk-doc +introspection"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.44:2
+       >=x11-libs/gtk+-3.12:3[introspection?]
+       media-libs/libcanberra[gtk3]
+       >=x11-libs/libnotify-0.7.0
+       virtual/libudev
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+RDEPEND="${DEPEND}
+       acct-group/plugdev
+       virtual/udev
+       >=net-wireless/bluez-5
+"
+BDEPEND="
+       dev-libs/libxml2:2
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gtk-doc-1.9 )
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local emesonargs=(
+               -Dicon_update=false
+               $(meson_use gtk-doc gtk_doc)
+               $(meson_use introspection)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       udev_dorules "${FILESDIR}"/61-${PN}.rules
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       if ! has_version 'sys-apps/systemd[acl]' ; then
+               elog "Don't forget to add yourself to the plugdev group "
+               elog "if you want to be able to control bluetooth transmitter."
+       fi
+}

Reply via email to